function onTalk()
		disableMovement()
		setFlag("flag_warp", true)
		choiceDialog({
		{
			"Violet_PlusTwoGym_GymHub_1",
			repeatable = true,
			onChosen = function ()
				teleportTo(700, -920, "Standard2")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_2",
			repeatable = true,
			onChosen = function ()
				teleportTo(-3320, -560, "Dashless")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_3",
			repeatable = true,
			onChosen = function ()
				teleportTo(200, 288, "Holdables")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_4",
			repeatable = true,
			onChosen = function ()
				teleportTo(120, 288, "Subpixels")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_5",
			repeatable = true,
			onChosen = function ()
				teleportTo(3800, 40, "Overhang")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_6",
			repeatable = true,
			onChosen = function ()
				teleportTo(-400, 152, "Laddering")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_7",
			repeatable = true,
			onChosen = function ()
				teleportTo(1730, -1300	, "LavaTech")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_PlusTwoGym_GymHub_8",
			repeatable = true,
			onChosen = function ()
				teleportTo(-1080, -1280, "Other")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		}
		})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
